# Class ImaClientSideAdsRequestEvent

#### Hierarchy

- ImaClientSideIntegrationEvent
  - ImaClientSideAdsRequestEvent

#####
Index

### Constructors

constructor

### Properties

type

## Constructors

### constructor

- new ImaClientSideAdsRequestEvent(): ImaClientSideAdsRequestEvent

- #### Returns ImaClientSideAdsRequestEvent

  Inherited from ImaClientSideIntegrationEvent.constructor

## Properties

### `Readonly` type

type: "imaClientSideAdsRequest" = ImaClientSideEvents.ImaClientSideAdsRequest

Overrides ImaClientSideIntegrationEvent.type